Bug 243564 - [exp-run] pkg 1.13
Summary: [exp-run] pkg 1.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-24 17:12 UTC by Baptiste Daroussin
Modified: 2020-03-24 16:19 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Baptiste Daroussin freebsd_committer 2020-01-24 17:12:12 UTC
Can you make an exp-run with WITH_PKG=devel in make.conf, it is passes I will release pkg 1.12.99.3 as pkg 1.13.0
Comment 1 Antoine Brodin freebsd_committer 2020-01-25 20:19:05 UTC
Can you provide a patch?  some ports hardcode :ports-mgmt/pkg in their dependencies...
Comment 2 Baptiste Daroussin freebsd_committer 2020-01-29 11:47:35 UTC
ports tree is fixed, can you run WITH_PKG=devel or you prefer that I provide a patch?
Comment 3 Antoine Brodin freebsd_committer 2020-02-08 20:55:59 UTC
Exp-run looks fine
Comment 4 commit-hook freebsd_committer 2020-02-11 08:36:40 UTC
A commit references this bug:

Author: bapt
Date: Tue Feb 11 08:36:23 UTC 2020
New revision: 525794
URL: https://svnweb.freebsd.org/changeset/ports/525794

Log:
  Release pkg 1.13
   - when installing over a non tracked file (not owned by any package)
     pkg now saves a copy of that file as .pkgsave
   - Fix a chicken/egg problem with the meta being compressed and defining
     the compression format. Now pkg repo will create a meta.conf file
     uncompressed (it is small enough) and fallback on the old meta.txz.
     Note that meta.txz is still created for backward compatibility.
   - pkg repo now creates meta files in version 2 by default meaning the
     digests.txz (this was only used with pkg up to 1.2).
     Anyone using that version and willing to upgrade can do it via:
     pkg bootstrap -f
   - suppress version checking when -j is specified
   - Alphabetically sort packages printed in the output of pkg commands to
     ease readability
   - pkg lock/unlock now allows multiple packages in arguments
   - shell script can now print messages along with pkg-messages by writing
     to ${PKG_MSGFD} file descriptor
   - improve error reporting when parsing vuxml files
   - lua script are now ready for prime time:
     - sanboxed with capsicum on plateforms that support it
     - rootdir native
     - documented
   - Fix pkg backup
   - pkg now gives a hint about running pkg update -f in case of "size mismatch"
   - scripts (lua and shell) can now determine if they are in the process of an
     upgrade or an installation via a variable
   - shell scripts are now fully documented
   - keyword files are now documented

  PR:		243564
  exp-run by:	antoine

Changes:
  head/ports-mgmt/pkg/Makefile
  head/ports-mgmt/pkg/distinfo
  head/ports-mgmt/pkg/files/patch-libfetch
  head/ports-mgmt/pkg/pkg-plist